@charset "UTF-8";
/********************************************************************************

parts-config.css for サイト名

********************************************************************************/

/*============================================================
 CSS変数 for parts共通　※サイトデザインに従い適宜設定
*============================================================*/
:root {
}

/*============================================================
 ボタン
*============================================================*/
/* 標準ボタン設定　※設定必須
---------------------------------------- */
.parts-btn {
	--width: fit-content;
	--min-width: 400px;
	--max-width: unset;
	--min-height: 100px;
	--margin: 0 auto;
	--padding: 8px 40px;
	--font-size: var(--rem16px);
	--line-height: 150%;
	--border-radius: 6px;
	--border: unset;
	--hover-border-radius: var(--border-radius);

	--color: #fff;
	--background: #000;
	--hover-color: #fff;
	--hover-background: #000;
	--hover-border: unset;

	--transition: 0.3s;

	position: relative;
}
.parts-btn::after {
	content: "";
	display: block;
	width: 16px;
	height: 16px;
	background-image: url(../images/parts/icon-btn-arrow-white.svg);
	background-repeat: no-repeat;
	background-position: center;
	background-size: 16px auto;

	position: absolute;
	top: 50%;
	right: 20px;
	transform: translateY(-50%);
}
.parts-btn .label-sub {
	font-weight: 500;
	font-size: 14px;
	line-height: 150%;
}

/* オプション設定
---------------------------------------- */
/* ヘッダーボタン */
.parts-btn[data-name="header"] {
	--width: auto;
	--min-width: unset;
	--min-height: 50px;
	--margin: 0 auto;
	--padding: 8px 60px;
	--border-radius: 0;
}
/* 固定ヘッダーボタン */
#indiv-header .parts-btn[data-name="header"] {

}

/* アイコン(なし) */
.parts-btn[data-icon="none"]::after {
	display: none;
}
/* アイコン(外部サイトリンク) */
.parts-btn[data-icon="ext"]::after {
	background-image: url(../images/parts/icon-btn-ext-white.svg);
}
/* アイコン(PDF) */
.parts-btn[data-icon="pdf"]::after {
	background-image: url(../images/parts/icon-btn-pdf-white.svg);
}
/* アイコン(→) */
.parts-btn[data-icon="next"]::after {
	background-image: url(../images/parts/icon-btn-next-white.svg);
}
/* アイコン(←) */
.parts-btn[data-icon="prev"]::after {
	background-image: url(../images/parts/icon-btn-prev-white.svg);
	right: unset;
	left: 20px;
}

/* 黒ボタン(白ボーダー) */
/* .parts-btn[data-name="border-white"] {
	--color: #ffffff;
	--background: #252525;
	--border: solid 2px #fff;
	--hover-color: #ffffff;
	--hover-background: #4C4C4C;
} */
/* 白ボタン(黒ボーダー) */
/* .parts-btn[data-name="white-border-black"] {
	--color: #252525;
	--background: #fff;
	--border: solid 2px #252525;
	--hover-color: #252525;
	--hover-background: #f7f7f7;
	--hover-border: solid 2px #4C4C4C;
} */


/*============================================================
 リスト
*============================================================*/
/* 箇条書きリスト（ul ドット）
---------------------------------------- */
/* 基本設定 */
.parts-list-dot {
	--gap: 8px;
	--marker-color: var(--common-color-text);
}
.parts-list-dot[data-marker="accesnt"] li::marker {
	color: var(--common-color-accent);
}

/* 箇条書きリスト（ul 注釈）
---------------------------------------- */
/* 基本設定 */
.parts-list-notice {
	--gap: 8px;
	--marker-color: var(--common-color-text);
	--font-size: var(--rem14px);
}
.parts-list-notice[data-marker="accesnt"] li::marker {
	color: var(--common-color-accent);
}

/* 連番リスト（ol）
---------------------------------------- */
/* 基本設定 */
.parts-list-num {
	--gap: 8px;
	--marker-color: var(--common-color-text);
}

/* 定義リスト（dl）
---------------------------------------- */
/* 基本設定 */
.parts-dl {
	--gap: 24px;

	--row-padding: 0 0 16px 0;
	--row-border-bottom: solid 1px #dcdcdc;
	--row-gap: 8px 16px;

	--label-width: 112px;
	--label-font-weight: bold;
	--label-font-size: 16px;
	--label-line-height: 160%;
	--label-color: var(--common-color-gray);

	/* ベーステキスト以外の場合指定 */
	/* --data-font-weight: 400;
	--data-font-size: 16px;
	--data-line-height: 160%;
	--data-color: var(--common-color-text); */
}


/*============================================================
 テキスト
*============================================================*/
/* 行数制限(省略文字「...」付)
---------------------------------------- */
.parts-text[data-type="clamp"] {
	--line: 2;
}



/********************************************************************************

for tablet

********************************************************************************/
@media screen and (max-width: 1239px) {
	/*============================================================
	 ボタン
	*============================================================*/
	/* オプション設定
	---------------------------------------- */
	/* ヘッダーボタン */
	/* .parts-btn[data-name="header"] {
		--width: 140px;
		--min-height: 48px;
		--font-size: var(--rem14px);
	} */

	/*============================================================
	 テキスト
	*============================================================*/
	/* 行数制限(省略文字「...」付)
	---------------------------------------- */
	.parts-text[data-type="clamp"] {
		--line: 3;
	}
}



/********************************************************************************

for SP

********************************************************************************/
@media screen and (max-width: 767px) {
	/*============================================================
	 ボタン
	*============================================================*/
	/* 標準ボタン設定
	---------------------------------------- */
	.parts-btn {
		--min-width: 335px;
		--min-height: 60px;
		--font-size: 14px;
		--padding: 8px 32px;
	}
	.parts-btn .label-sub {
		font-size: 12px;
		line-height: 150%;
	}
	

	/*============================================================
	 テキスト
	*============================================================*/
	/* 行数制限(省略文字「...」付)
	---------------------------------------- */
	.parts-text[data-type="clamp"] {
		--line: 2;
	}

}
